package com.photo.keyboard.themes.pager

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.viewbinding.ViewBinding

abstract  class  BaseActivity<viewbinding: ViewBinding> : AppCompatActivity() {

    protected val Vb by lazy { returnViewbinding() }
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(Vb.root)

        onInit()

    }

    abstract fun  returnViewbinding():viewbinding

    abstract fun onInit()

}